JavaScript
import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
const document = await client.documents.retrieve('123e4567-e89b-12d3-a456-426614174000');
console.log(document.document);import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
document = client.documents.retrieve(
"123e4567-e89b-12d3-a456-426614174000",
)
print(document.document)curl --request GET \
--url https://api.avidoai.com/v0/documents/{id} \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>'
{
"document": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"orgId": "org_123456789",
"applicationId": "456e4567-e89b-12d3-a456-426614174000",
"assignee": "user_123456789",
"scrapeJobId": null,
"versions": [
{
"id": "321e4567-e89b-12d3-a456-426614174001",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"orgId": "org_123456789",
"applicationId": "456e4567-e89b-12d3-a456-426614174000",
"title": "API Documentation",
"content": "This document describes the API endpoints...",
"status": "APPROVED",
"originalSentences": [
"This is the first sentence.",
"This is the second sentence."
],
"language": "english",
"metadata": null,
"versionNumber": 1,
"documentId": "123e4567-e89b-12d3-a456-426614174000"
}
]
}
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Documents
Get a single document by ID
Retrieves detailed information about a specific document, including its parent-child relationships and active version details.
GET
/
v0
/
documents
/
{id}
JavaScript
import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
const document = await client.documents.retrieve('123e4567-e89b-12d3-a456-426614174000');
console.log(document.document);import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
document = client.documents.retrieve(
"123e4567-e89b-12d3-a456-426614174000",
)
print(document.document)Authorizations
Your unique Avido API key
Your unique Avido Application ID
Path Parameters
The unique identifier of the document
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"123e4567-e89b-12d3-a456-426614174000"
Response
Successfully retrieved document
Successful response containing the document data
Show child attributes
Show child attributes
⌘I